Bug 205924 - whatdepends errors with unknown header tag.
whatdepends errors with unknown header tag.
Status: CLOSED RAWHIDE
Product: Fedora
Classification: Fedora
Component: yum (Show other bugs)
rawhide
All Linux
medium Severity medium
: ---
: ---
Assigned To: Jeremy Katz
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2006-09-10 02:36 EDT by Steven Haigh
Modified: 2014-01-21 17:55 EST (History)
2 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2006-09-11 17:01:23 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)
patch for the provide bug (1.05 KB, text/plain)
2006-09-10 03:13 EDT, Tim Lauridsen
no flags Details
Ups, there was missing something in the patch (1.59 KB, text/plain)
2006-09-10 03:19 EDT, Tim Lauridsen
no flags Details

  None (edit)
Description Steven Haigh 2006-09-10 02:36:02 EDT
Description of problem:
When trying to find a file using 'whatprovides', an error occurs stating an
unknown header tag providesnames.

Version-Release number of selected component (if applicable):
yum-metadata-parser-1.0.7.1.fc6
yum-2.9.6-1

How reproducible:
Every time.

Steps to Reproduce:
# yum whatprovides nbsmtp
Setting up repositories
development               100% |=========================| 1.1 kB    00:00
extras-development        100% |=========================| 1.1 kB    00:00
Reading repository metadata in from local files
primary.xml.gz            100% |=========================| 819 kB    00:00
################################################## 2245/2245
Excluding Packages in global exclude list
Finished
Importing additional filelist information
filelists.xml.gz          100% |=========================| 2.4 MB    00:00
################################################## 2245/2245
filelists.xml.gz          100% |=========================| 2.4 MB    00:00
################################################## 3338/3338
Error: Unknown header tag providesnames
Comment 1 Tim Lauridsen 2006-09-10 03:13:48 EDT
Created attachment 135917 [details]
patch for the provide bug

This patch should fix the issue.
Comment 2 Tim Lauridsen 2006-09-10 03:19:25 EDT
Created attachment 135918 [details]
Ups, there was missing something in the patch

The cli.py should return some results, if something was found
Comment 3 Jeremy Katz 2006-09-11 17:01:23 EDT
Fixed in upstream yum CVS
Comment 4 Tim Lauridsen 2006-09-12 03:01:09 EDT
I have tested the latest yum cvs head, it is working now :-)

Note You need to log in before you can comment on or make changes to this bug.